package ru.micord.ervu.account_applications.kafka.model;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class UpsertMessage<T>{
  private T data;
  private boolean success;

  public boolean isSuccess() {
    return success;
  }

  public void setSuccess(boolean success) {
    this.success = success;
  }

  public T getData() {
    return data;
  }

  public void setData(T  data) {
    this.data = data;
  }
}
